Package org.astrogrid.samp

# Interface Client

All Known Implementing Classes:
  `HubClient`

public interface Client
Describes an application registered with a SAMP hub.

Since:
  14 Jul 2008
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`String`
`getId()`
Returns the public identifier for this client.
`Metadata`
`getMetadata()`
Returns the currently declared metadata for this client, if any.
`Subscriptions`
`getSubscriptions()`
Returns the currently declared subscriptions for this client, if any.

## Method Details

### getId

String getId()
Returns the public identifier for this client.

Returns:
  public id

### getMetadata

Metadata getMetadata()
Returns the currently declared metadata for this client, if any.

Returns:
  metadata object; may be null

### getSubscriptions

Subscriptions getSubscriptions()
Returns the currently declared subscriptions for this client, if any.

Returns:
  subscriptions object; may be null